Bug 1268907 - totem - libva info: VA-API version 0.38.0
totem - libva info: VA-API version 0.38.0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libva (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Simon Farnsworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 11:11 EDT by lejeczek
Modified: 2016-01-04 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 17:01:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2015-10-05 11:11:42 EDT
Description of problem:

libva info: VA-API version 0.38.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
libva info: VA-API version 0.38.0

I don't seem to be able to play videos.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 lejeczek 2015-10-05 11:12:34 EDT
or is it libva?

$ vainfo 
libva info: VA-API version 0.38.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit
Comment 2 Bastien Nocera 2015-10-05 11:20:13 EDT
That's from libva and gst-libva. Remove them.
Comment 3 lejeczek 2015-10-05 12:18:33 EDT
but there is a whole bunch of deps, ffmpeg-libs, vlc, etc. Even Fedora's own, eg: gstreamer1-vaapi.
Maybe 'component' in this report should be changed?
Comment 4 Nicolas Chauvet (kwizart) 2015-10-12 17:01:01 EDT
can't say
Comment 5 lejeczek 2016-01-04 18:06:03 EST
it's still not working, here is a bit more log

(totem:29329): Cogl-WARNING **: driver/gl/cogl-framebuffer-gl.c:157: GL error (1280): Invalid enumeration value
(totem:29329): Totem-CRITICAL **: totem_object_empty_menu_section: assertion 'TOTEM_IS_OBJECT (totem)' failed
Activating service name='org.gnome.Totem'
Successfully activated service 'org.gnome.Totem'
(totem:29421): libpeas-WARNING **: Failed to run internal Python hook 'find_extension_type':
Traceback (most recent call last):
File "peas-python-internal.py", line 74, in call
File "peas-python-internal.py", line 133, in find_extension_type
AttributeError: 'module' object has no attribute 'OutFile'
libva info: VA-API version 0.38.1
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_38
libva info: va_openDriver() returns 0
(totem:29421): Cogl-WARNING **: driver/gl/cogl-framebuffer-gl.c:157: GL error (1280): Invalid enumeration value
Comment 6 Nicolas Chauvet (kwizart) 2016-01-04 18:08:20 EST
can you verify to have libva-1.6.2 from updates-testing ?
Comment 7 lejeczek 2016-01-04 18:22:18 EST
$ rpm -qa libva*
libva-debuginfo-1.6.1-1.fc23.x86_64
libva-vdpau-driver-0.7.4-12.fc23.x86_64
libva-intel-driver-1.6.2-1.fc23.x86_64
libva-1.6.2-1.fc23.x86_64
libva-utils-1.6.2-1.fc23.x86_64
libva-intel-driver-debuginfo-1.6.1-1.fc23.x86_64

Note You need to log in before you can comment on or make changes to this bug.